@mixin button-change {
    margin-top: 65px;
    height: 45px;
    width: 140px;
    background-color: $btn-color;
    font-weight: bold;
    border: none;
    color: white;
    padding: 10px 19px;
    text-align: center;
    text-decoration: none;
    font-size: map-get($font-sizes, "normal");
    border-radius: 3px;
}

@mixin link-change {
    display: block;
    text-align: center;
    color: white;
}

body {
    margin: 0;
    padding: 0;
    background-color: $body-bg-color;
}

* {
    font-family: 'Source Sans Pro', sans-serif;
}

.header {
    height: 600px;
    background: $header-bg-image ;
    border-radius: 0 0 40% 0;
    &-wrap {
        max-width: 950px;
        margin: 0 auto;
    }
    &_heading {
        position: relative;
        display: flex;
        max-width: 490px;
        margin-top: 50px;
        font-size: map-get($font-sizes, "extra-large");
        line-height: 50px;
        color: $heading-text-color;
        font-weight: 900;
        z-index: 2;
        &::after{
            content: "";
            position: absolute;
            bottom: 2px;
            right: 280px;
            height: 35px;
            width: 210px;
            background-color: $text-bg-color;
            z-index: -1;
        }
    }
    &_text {
        margin-top: 50px;
        white-space: pre-line;
        line-height: 1.5;
        color: $heading-text-color;
    }
    a {
        color: white;
        margin-left: 155px;
    }
    &_button {
        @include button-change;
    }
}

.landing-logo{
    display: flex;
    align-items: center;
    padding-top: 15px;
    p{  
        color: $heading-text-color;
        margin-left: 10px; 
        width: 65px;
        font-weight: 600;
        span {
            display: block;
            font-size: map-get($font-sizes, "small");
            font-weight: 600;
        }
    }
}

.section {
    position: relative;
    height: 1370px;
    &_text {
        text-align: center;
        font-size: map-get($font-sizes, "large");
        font-weight: 600;
        color: $heading-text-color;
        z-index: 2;
        &::after{
            content: "";
            position: absolute;
            top: 5px;
            right: 597px;
            height: 35px;
            width: 155px;
            background-color: $text-bg-color;
            z-index: -1;
        }
    }
    &_card {
        margin: 0 auto;
        display: flex;
        margin-top: 25px;
        align-items: center;
        width: 1110px;
        height: 330px;
        background-color: $cards-foot-bgc;
        &_right_container{
            width: 467px;
            padding: 80px;
        }
        &_img {
            height: 287px;
            width: 433px;
            padding: 20px;
        }
        &_heading{
            text-align: center;
            color: white;
            font-size: map-get($font-sizes, "middle");
            font-weight: 600;
            margin-top: 10px;
        }
        &_text {
            color: $bright-text-color;
            margin-top: 40px;
            line-height: 1.5;
        }
    }
    &_link {
        @include link-change;
    }
    &_banner {
        display: flex;
        width: 1200px;
        height: 144px;
        position: absolute;
        left: 10%;
        margin-top: 180px;
        border-radius: 5px;
        background: linear-gradient(to right, $btn-color, $end-of-gradient);
        &_heading{
            position: relative;
            margin-left: 150px;
            color: $heading-text-color;
            font-size: map-get($font-sizes, "big" );
            font-weight: 900;
            z-index: 2;
            &::after{
                content: "";
                position: absolute;
                top: 2px;
                right: 200px;
                height: 35px;
                width: 60px;
                background-color: $text-bg-color;
                z-index: -1;
            }
        }
        &_text {
            margin-left: 150px;
            top: 10px;
            color: $bright-text-color;
        }
        &_button {
            margin: 0 auto;
            margin-top: 50px;
            height: 45px;
            width: 140px;
            background-color: $btn-color;
            font-weight: bold;
            border: none;
            color: white;
            padding: 10px 19px;
            text-align: center;
            text-decoration: none;
            font-size: map-get($font-sizes, "normal");
            border-radius: 3px;
        }
    }
}

.footer {
    height: 250px;
    background-color: $cards-foot-bgc;
    &-wrap{
        display: flex;
        justify-content: space-around;
        align-items: center;
        padding-top: 136px;
    }
    &_text {
        width: 300px;
        color: $bright-text-color;
    }
    &_logo {
        color: $bright-text-color;
    }
    &-cr {
        @extend .footer_logo;
    }
}
